# views/.eslintrc

This file overrides your Sails app's top-level [ESLint](https://eslint.org/) configuration, specifically for the `views/` directory.  It simply extends [`assets/.eslintrc`](https://sailsjs.com/documentation/anatomy/assets/.eslintrc), but omits the `eol-last` rule.

Certain CI environments, build systems, IDEs, and syntax-highlighting plugins for text editors run ESLint checks on inline `<script>` tags in HTML files to help catch common mistakes.  Which is great-- except that not all of these tools are quite smart enough to understand that each `<script>` tag isn't a separate JavaScript file.  And unfortunately, that can cause some weird issues when `eol-last` is enabled.

Luckily, all it takes to disable the `eol-last` rule for these inline `<script>` tags is to include this `.eslintrc` file in the `views/` directory (which Sails does by default).

<docmeta name="displayName" value=".eslintrc">
