# Proposing features and enhancements

Sails contributors have learned over the years that keeping track of feature requests in the same bucket as potentially-critical issues leads to a dizzying number of open issues on GitHub, and makes it harder for the community as a whole to respond to bug reports.  It also introduces a categorization burden: Imagine a GitHub issue that is 2 parts feature request, 3 parts question, but also has a _teensie pinch_ of immediately-relevant-and-critical-issue-with-the-latest-stable-version-of-Sails-that-needs-immediate-attention.

If suggestions, requests, or pleas for features or enhancements are submitted as GitHub issues, they will be closed by [sailsbot](http://asksailsbot.tumblr.com/) or one of her lackeys in the Sails core team.  This doesn't mean the core team does not appreciate your willingness to share your experience and ideas with us; we just ask that you use our new process.  Instead of creating a GitHub issue, please submit your proposal for a new feature or an extension to an existing feature using the process outlined under [Submitting a Proposal](https://sailsjs.com/documentation/contributing/proposing-features-enhancements/submitting-a-proposal).

Please **do not propose _changes to the established conventions or default settings_ of Sails**. These types of discussions tend to start "religious wars" about topics like EJS vs. Jade, Grunt vs. Gulp, Express vs. Hapi, etc., and managing those arguments creates rifts and consumes an inordinate amount of contributors' time.  Instead, if you have concerns about the opinions, conventions or default configuration in Sails, please [contact the core maintainers directly](mailto:inquiries@sailsjs.com).

<docmeta name="displayName" value="Proposing features/enhancements">
